import { Component, NgZone, OnDestroy, OnInit } from "@angular/core";
import { invoke } from "@tauri-apps/api/tauri";
import { ShortcutService } from "./services/shortcut.service";
import { EventsService } from "./services/events.service";
import { WorldAreaService } from "./services/world-area.service";
import { Color } from "./color-picker/color-picker.component";
import { OverlayService } from "./services/overlay.service";
import { ConfigService } from "./services/config.service";
import { PlanService } from "./services/plan.service";
import { from } from "rxjs";
import { appWindow } from "@tauri-apps/api/window"

@Component({
  selector: "app-root",
  templateUrl: "./app.component.html",
  styleUrls: ["./app.component.scss"],
})
export class AppComponent implements OnInit {
  auto_hide: boolean = true;
  interactable: boolean = false;
  isBinding: boolean = false;
  isOverlay: boolean;
  overlayShowSettings: boolean = false;

  constructor(
    public overlayService: OverlayService,
    public worldAreas: WorldAreaService,
    public planService: PlanService,
    public configService: ConfigService,
    private zone: NgZone,
  ) { 
    this.isOverlay = appWindow.label === "Overlay";
  }

  ngOnInit(): void {
    
  }
}