import { Component, Input, NgZone } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { ConfigService } from '../services/config.service';
import { Color, ColorPickerComponent } from '../color-picker/color-picker.component';
import {MatSlideToggleModule} from '@angular/material/slide-toggle';

@Component({
  selector: 'settings',
  standalone: true,
  imports: [CommonModule, FormsModule, ColorPickerComponent, MatSlideToggleModule],
  templateUrl: './settings.component.html',
  styleUrls: ['./settings.component.scss']
})
export class SettingsComponent {
  @Input() 
  overlay: boolean = false;
  
  constructor(
    public configService: ConfigService,
    private zone: NgZone
  ) {

  }

  onPlanColorChange(color: Color) {
    this.zone.run(() => this.configService.config.planBg = color.rgbaString);

  }

  onBackdropColorChange(color: Color) {
    this.zone.run(() => this.configService.config.backdropBg = color.rgbaString);
  }
}
